Ubuntu/lucid + Catalyst 10.12 aka 8.801 install

Otázky a pomoc s problémami technického charakteru ako je nastavenie proxy serveru, problém s pripojením na internet a pod.

Moderátor: Moderátori

Užívateľov profilový obrázok
Palo M.
Príspevky: 1190
Dátum registrácie: Po Feb 12, 2007 3:53 am
Bydlisko: Shanghai, China

Re: Ubuntu/lucid + Catalyst 10.12 aka 8.801 install

Príspevokod užívateľa Palo M. » So Jan 15, 2011 7:10 am

Kiwi, nechcem nejako vyryvat, ale to co si napisal nie je velmi konzistentne s tym, co mam ja. Teraz cez vikend som si to schvalne skusil (cez tyzden na to nebol cas):

1. Mne generuje v Lucid len 4 baliky, nie 6 (z toho ten fglrx-dev neinstalujem, ako som uz spominal):

Kód: Vybrať všetko

$ sh ./ati-driver-installer-10-12-x86.x86_64.run --buildpkg Ubuntu/lucid
Verifying archive integrity... All good.
Uncompressing ATI Catalyst(TM) Proprietary Driver-8.801...................
=====================================================================
 ATI Technologies Catalyst(TM) Proprietary Driver Installer/Packager
=====================================================================
Generating package: Ubuntu/lucid
Package /opt/ATI/tmp/fglrx_8.801-0ubuntu1_amd64.deb has been successfully generated
Package /opt/ATI/tmp/fglrx-dev_8.801-0ubuntu1_amd64.deb has been successfully generated
Package /opt/ATI/tmp/fglrx-amdcccle_8.801-0ubuntu1_amd64.deb has been successfully generated
Package /opt/ATI/tmp/fglrx-modaliases_8.801-0ubuntu1_amd64.deb has been successfully generated
Removing temporary directory: fglrx-install.vt4MN7
(dovolil som si skratit to hafo bodiek, kedze je v tomto pripade nepodstatne)

2. Takisto som upgradoval z Catalyst 10.10 na 10.12 priamo a vsetko zafungovalo. Akurat som sa pri upgrade odhlasil a robil som to z terminalu. Absolutne ziadne problemy:

Kód: Vybrať všetko

# cd /opt/ATI/Catalyst_10.12
# ls -al
total 159140
drwxr-xr-x 2 root root      4096 2011-01-14 00:32 .
drwxr-xr-x 8 root root      4096 2011-01-15 09:55 ..
-rw-r--r-- 1 root root 125184835 2010-12-10 04:00 ati-driver-installer-10-12-x86.x86_64.run
-rw-r--r-- 1 root root  32382962 2011-01-14 00:32 fglrx_8.801-0ubuntu1_amd64.deb
-rw-r--r-- 1 root root   5294966 2011-01-14 00:32 fglrx-amdcccle_8.801-0ubuntu1_amd64.deb
-rw-r--r-- 1 root root     65478 2011-01-14 00:32 fglrx-dev_8.801-0ubuntu1_amd64.deb
-rw-rw-r-- 1 root root      1970 2011-01-14 00:32 fglrx-installer_8.801-0ubuntu1_amd64.changes
-rw-r--r-- 1 root root     13608 2011-01-14 00:32 fglrx-modaliases_8.801-0ubuntu1_amd64.deb

# dpkg -l \*fglrx\*
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Cfg-files/Unpacked/Failed-cfg/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name                                 Version                                         Description
+++-====================================-===============================================-==============================================
ii  fglrx                                2:8.783-0ubuntu1                                Video driver for the ATI graphics accelerators
ii  fglrx-amdcccle                       2:8.783-0ubuntu1                                Catalyst Control Center for the ATI graphics a
un  fglrx-control                        <none>                                          (no description available)
un  fglrx-control-qt2                    <none>                                          (no description available)
un  fglrx-driver                         <none>                                          (no description available)
un  fglrx-kernel-source                  <none>                                          (no description available)
ii  fglrx-modaliases                     2:8.783-0ubuntu1                                Identifiers supported by the ATI graphics driv
un  xfree86-driver-fglrx                 <none>                                          (no description available)
un  xorg-driver-fglrx                    <none>                                          (no description available)

# dpkg -i fglrx_8.801-0ubuntu1_amd64.deb fglrx-amdcccle_8.801-0ubuntu1_amd64.deb fglrx-modaliases_8.801-0ubuntu1_amd64.deb
(Reading database ... 254080 files and directories currently installed.)
Preparing to replace fglrx 2:8.783-0ubuntu1 (using fglrx_8.801-0ubuntu1_amd64.deb) ...
Removing all DKMS Modules
Done.
Unpacking replacement fglrx ...
Preparing to replace fglrx-amdcccle 2:8.783-0ubuntu1 (using fglrx-amdcccle_8.801-0ubuntu1_amd64.deb) ...
Unpacking replacement fglrx-amdcccle ...
Preparing to replace fglrx-modaliases 2:8.783-0ubuntu1 (using fglrx-modaliases_8.801-0ubuntu1_amd64.deb) ...
Unpacking replacement fglrx-modaliases ...
Setting up fglrx (2:8.801-0ubuntu1) ...
update-initramfs: deferring update (trigger activated)
Loading new fglrx-8.801 DKMS files...
Building only for 2.6.32-27-generic
Building for architecture x86_64
Building initial module for 2.6.32-27-generic
Done.

fglrx.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/2.6.32-27-generic/updates/dkms/

depmod....

DKMS: install Completed.
update-initramfs: deferring update (trigger activated)

Setting up fglrx-modaliases (2:8.801-0ubuntu1) ...
Processing triggers for man-db ...
Processing triggers for ureadahead ...
Processing triggers for python-gmenu ...
Rebuilding /usr/share/applications/desktop.en_US.utf8.cache...
Setting up fglrx-amdcccle (2:8.801-0ubuntu1) ...
Processing triggers for initramfs-tools ...
update-initramfs: Generating /boot/initrd.img-2.6.32-27-generic
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
Processing triggers for python-support ...

# dpkg -l \*fglrx\*
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Cfg-files/Unpacked/Failed-cfg/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name                                 Version                                         Description
+++-====================================-===============================================-==============================================
ii  fglrx                                2:8.801-0ubuntu1                                Video driver for the ATI graphics accelerators
ii  fglrx-amdcccle                       2:8.801-0ubuntu1                                Catalyst Control Center for the ATI graphics a
un  fglrx-control                        <none>                                          (no description available)
un  fglrx-control-qt2                    <none>                                          (no description available)
un  fglrx-driver                         <none>                                          (no description available)
un  fglrx-kernel-source                  <none>                                          (no description available)
ii  fglrx-modaliases                     2:8.801-0ubuntu1                                Identifiers supported by the ATI graphics driv
un  xfree86-driver-fglrx                 <none>                                          (no description available)
un  xorg-driver-fglrx                    <none>                                          (no description available)


3. Mam naozaj Ubuntu Lucid, 10.04.1. A najnovsi kernel z distribucie:

Kód: Vybrať všetko

# uname -a
Linux andromeda 2.6.32-27-generic #49-Ubuntu SMP Thu Dec 2 00:51:09 UTC 2010 x86_64 GNU/Linux
# lsb_release -a
Distributor ID:   Ubuntu
Description:   Ubuntu 10.04.1 LTS
Release:   10.04
Codename:   lucid


4. Nemusel som po upgrade spustat ziaden aticonfig (xorg.conf mam manualne nastaveny, lebo na Collatz pouzivam okrem hlavnej HD4800 aj on-board HD3300 - je slaba asi ako CPU, ale furt lepsie ako nic). Skratka som po upgrade fglrx balikov restartol stroj a bezi to a nemam vobec ziadne problemy.

5. Nemam ziadne "diversions" balikov fglrx, ani X, ani nic podobne driverove.

6. Tie subory libbrook* som do /usr/lib NEkopiroval, NEkopiroval som ich ani nikde inde a Collatz mi bezi uuplne bez problemov. Staci, ze su spomenute v app_info.xml a bezi to. Vo vseobecnosti - ked zacnes (v Ubuntu alebo Debiane) manualne kopirovat hocico do /usr (mimo /usr/local), tak tym sahas do reviru balickovacieho systemu poza jeho chrbat, a potom sa nemozes cudovat, ze sa ti nejake balicky rozbiju, pripadne ze ti nieco bude nejako "cudne nechodit". Ked uz silou-mocou potrebujes dat nejake kniznice manualne, pridaj ich do /usr/local/lib a spusti ldconfig. Adresar /usr/local je na vlastne modifickacie, vlastne kompilacie atd. Tam balickovaci system nesaha.

Sam sa povazujem za cloveka, ktory sa do veci rype, prisposobuje, vylepsuje, prekopava to na svoj obraz. Uz asi pol roka mam Ubuntu 10.04, nainstaloval som ho raz a odvtedy som nemusel preinstalovavat. A mam tu poinstalovane vselijake vecicky, co bezni ludia doma nemaju (LVM, Kerberos, NFS, pouzivam vlastny DNS server pretoze "kurvy sikmovoky" fakuju DNS zaznamy kvoli cenzure, multifunkcna tlaciaren/scanner je pripojena na debianovsky server cize na ne idem cez siet, mam tu vselijake vyvojove veci, napriklad pre Android-a, atd...). Takze som si za ten cas celkom dost sahol do systemu a napriek vselijakym tymto vychytavkam som si ho zatial nerozbil...
Staci si uvedomovat, co clovek robi ako administrator, a system si nerozbije (ked niecomu nerozumiem a je to risk ale veelmi to chcem, tak sa to da najprv skusit vo virtuale). Ked ale clovek robi len tak veci, ktorym nerozumie, tak si moze postupom casu pokaslat system a neprejavi sa to hned, ale az neskor (ked si uz presne nepamata, co vsetko postvaral). Dnesne OS uz su celkom robustne, takze sa nezosypu pri prvej vylomenine, ale postupne sa to zbera a o to horsie to nakoniec je, ked uz to system nevydrzi.
A to plati pre Linux, Windows aj Mac OS-X (momentalne spravujem vsetky 3 systemy).

Detektivka na zaver:
Kedysi davno (pravdepodobne hned po instalacii systemu) si si nainstaloval ovladace priamo cez ATI-instalator (bez --buildpkg).
Bohuzial, ked spustis ten ATI-instalator bez parametrov (ale zato so sudo), urobi prave to, ze skompiluje binarky a rozkopiruje ich do /usr. (Teda prave poza chrbat balickovacieho systemu, navyse nie celkom kompatibilne s ubuntackou konvenciou umiestnenia suborov. Ono to takto je schopne nejako fungovat, Xorg najde driver a vie ho spustit. Len to moze robit problemy neskor, napriklad ked updatnes jadro z distribucie, uz ti DKMS nemusi skompilovat kernelovsky modul pre nove jadro, lebo mu asi chyba trigger...)
Ked potom spustis --buildpkg a tie si nainstalujes, urobi diversions, ale to co tam predtym instalator priamo nakopiroval, sa ti rozbije. Co v tom momente nevadi, lebo zacnes pouzivat tie subory z balickov a zase ti to funguje. A uz funguju aj triggery po instalacii novej verzie jadra. Parada. Akurat ti zostali nejaki duchovia z tej prvej priamej instalacie, ale ti sa v tomto momente neprejavuju.
No a po case ides updatnut fglrx. Vygenerujes nove baliky, pohoda. A ked ich zacnes instalovat, system najprv odinstalovava stare verzie - lenze tam sa ti to zosype, pretoze tie diversions zlyhaju. A potom uz sa nedaju nainstalovat ani stare verzie, ani nove.
Jedina sanca je zistit, co vsetko sa ti do /usr nasackovalo pri tom uplne prvom priamom spusteni instalatora (co nie je az take jednoduche zistit - napada ma len virtualny testovaci stroj alebo testovaci dualboot), a to potom manualne pomazat. Takisto pomazat neplatne symbolicke linky - pozostatok toho divertovania. Cim by si mal mat system v stave ako pred akciou cislo 1 a teda by nove baliky mali ist nainstalovat. Ovsem cele to nie je trivialna oprava a pre neskuseneho cloveka je mozno jednoduchsie odzalohovat svoje data a nacisto nainstalovat novy system...
Adresar /usr/share/ati obsahuje sucasti pre CCC (teda nie samotny driver, ale control panel), ale CCC zavisi od drivera, teda ked odinstalovavas driver, system musi najprv odinstalovat CCC. Takze ked si zmazal ten adresar, uz sa ti to odblokovalo a mohol si instalovat novu verziu... Gratulacia, len si nie som isty, ci ti tam nezostali este nejaki dalsi duchovia, ktori sa pripadne prejavia neskor...
Takze detektivka ma stale otvoreny koniec... ale Sherlock Holmes uz vie, kto bol vrahom.
Obrázok
---
Obrázok
"Ostatně, kdybych si měl vybrat pořadí Mac OS X, Windows, Linux, tak to bude: Linux, Mac OS X, sebevražda, Windows." (úryvok z internetovej diskusie)

Užívateľov profilový obrázok
Kiwi
Príspevky: 2056
Dátum registrácie: Ut Feb 13, 2007 5:18 pm
Bydlisko: Sobrance
Kontaktovať užívateľa:

Re: Ubuntu/lucid + Catalyst 10.12 aka 8.801 install

Príspevokod užívateľa Kiwi » So Jan 15, 2011 5:23 pm

Problem je prave v tom, ze kazdy to robi inak.
AMD to robi po svojom, ale to nema otestovane:
potom to vyzera takto:
http://www.primegrid.com/forum_thread.p ... true#27202

Takze nepis, ked nemas skusenosti, skus tam dat Collatz / u mna po cistej instalacii Ubuntu /
aby fungoval. Ja som isiel krok po kroku a ani jeden nebol redundadny. Az pozom sa Coll. rozbehol

Ale Coll. ide na inych knizniciach.

Teraz mam za uholu rozbehat PG, lenze PG ide na OpenCl, nie na CAL.

Vidis v tom vlakne na PG, ze ake maju ludia problemy nainstalovat ATI driver od ATI.
Mas len dve moznosti, bud tam novy driver + SDK 2.3 das, alebo nedas.

Neviem ako ho tam dostat, bez toho, aby som nieco napisal na klavesnici. :)

Zatial klikatko nefunguje ako by malo a neda sa spustit bez sudo.
Podstata objavu spočíva vo videní niečoho, čo videli všetci a v premýšľaní o niečom, na čo nikto nepomyslel.
Tachyum Rado Danilák Rottenkiwi

Užívateľov profilový obrázok
Kiwi
Príspevky: 2056
Dátum registrácie: Ut Feb 13, 2007 5:18 pm
Bydlisko: Sobrance
Kontaktovať užívateľa:

Re: Ubuntu/lucid + Catalyst 10.12 aka 8.801 install

Príspevokod užívateľa Kiwi » So Jan 15, 2011 5:41 pm

Aj mne teraz generuje:
kiwi@kiwi-pc:~$ sh ./ati-driver-installer-10-12-x86.x86_64.run --buildpkg Ubuntu/lucid
Created directory fglrx-install.iJgu5X
Verifying archive integrity... All good.
Uncompressing ATI Catalyst(TM) Proprietary Driver-8.801................
=====================================================================
ATI Technologies Catalyst(TM) Proprietary Driver Installer/Packager
=====================================================================
Generating package: Ubuntu/lucid
Package /home/kiwi/fglrx_8.801-0ubuntu1_amd64.deb has been successfully generated
Package /home/kiwi/fglrx-dev_8.801-0ubuntu1_amd64.deb has been successfully generated
Package /home/kiwi/fglrx-amdcccle_8.801-0ubuntu1_amd64.deb has been successfully generated
Package /home/kiwi/fglrx-modaliases_8.801-0ubuntu1_amd64.deb has been successfully generated
Removing temporary directory: fglrx-install.iJgu5X
kiwi@kiwi-pc:~$ uname -a
Linux kiwi-pc 2.6.32-27-generic #49-Ubuntu SMP Thu Dec 2 00:51:09 UTC 2010 x86_64 GNU/Linux
kiwi@kiwi-pc:~$
Ale ja som tam nemal 10.10 ale este starsi 10.05.


kiwi@kiwi-pc:~$ dpkg -l *fglrx\*
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Cfg-files/Unpacked/Failed-cfg/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Názov Verzia Popis
+++-======================-======================-============================================================
ii fglrx 2:8.801-0ubuntu1 Video driver for the ATI graphics accelerators
ii fglrx-amdcccle 2:8.801-0ubuntu1 Catalyst Control Center for the ATI graphics accelerators
un fglrx-control <žiadna> (popis nie je k dispozícii)
un fglrx-control-qt2 <žiadna> (popis nie je k dispozícii)
ii fglrx-dev 2:8.801-0ubuntu1 Video driver for the ATI graphics accelerators (devel files)
un fglrx-driver <žiadna> (popis nie je k dispozícii)
un fglrx-driver-dev <žiadna> (popis nie je k dispozícii)
ic fglrx-kernel-source 2:8.801-0ubuntu1 Kernel module source for the ATI graphics accelerators
ii fglrx-modaliases 2:8.801-0ubuntu1 Identifiers supported by the ATI graphics driver
un xfree86-driver-fglrx <žiadna> (popis nie je k dispozícii)
un xfree86-driver-fglrx-d <žiadna> (popis nie je k dispozícii)
un xorg-driver-fglrx <žiadna> (popis nie je k dispozícii)
un xorg-driver-fglrx-dev <žiadna> (popis nie je k dispozícii)

akurat tam mam naviac zdrojaky.
Podstata objavu spočíva vo videní niečoho, čo videli všetci a v premýšľaní o niečom, na čo nikto nepomyslel.
Tachyum Rado Danilák Rottenkiwi

Užívateľov profilový obrázok
Palo M.
Príspevky: 1190
Dátum registrácie: Po Feb 12, 2007 3:53 am
Bydlisko: Shanghai, China

Re: Ubuntu/lucid + Catalyst 10.12 aka 8.801 install

Príspevokod užívateľa Palo M. » Ne Jan 16, 2011 9:03 am

Kiwi napísal:Takze nepis, ked nemas skusenosti, skus tam dat Collatz / u mna po cistej instalacii Ubuntu /
aby fungoval.

V Ubuntu a Collatzovi, s dovolenim, skusenosti mam a k nim sa aj vyjadrujem. Pokial ide o PG, tak tam skusenosti nemam a ani som sa k tomu nevyjadroval (zaroven pripominam, ze tato tema ma nadpis "Ubuntu/lucid + Catalyst 10.12 aka 8.801 install").

Stojim si 100% za tym, ze do systemu som ziadne libbrook*.so* nepridaval a Collatz mi funguje:

Kód: Vybrať všetko

$ ps -Af | grep collatz
boinc     8561 28890  2 11:54 ?        00:01:32 ../../projects/boinc.thesonntags.com_collatz/collatz_2.01_x86_64-pc-linux-gnu__ati14 --device 0
paul     18605 17893  0 12:47 pts/1    00:00:00 grep --color=auto collatz
boinc    29274 28890  1 04:43 ?        00:06:00 ../../projects/boinc.thesonntags.com_collatz/collatz_2.01_x86_64-pc-linux-gnu__ati14 --device 1
$ ldd /local/boinc-client/projects/boinc.thesonntags.com_collatz/collatz_2.01_x86_64-pc-linux-gnu__ati14
   linux-vdso.so.1 =>  (0x00007fffebdff000)
   libaticalcl.so => /usr/lib/fglrx/libaticalcl.so (0x00007f917d113000)
   libbrook64.so => not found
   libbrook_cal64.so => not found
   libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x00007f917cdfe000)
   libm.so.6 => /lib/libm.so.6 (0x00007f917cb7b000)
   libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x00007f917c963000)
   libpthread.so.0 => /lib/libpthread.so.0 (0x00007f917c746000)
   libc.so.6 => /lib/libc.so.6 (0x00007f917c3c3000)
   libaticalrt.so => /usr/lib/fglrx/libaticalrt.so (0x00007f917c2a2000)
   librt.so.1 => /lib/librt.so.1 (0x00007f917c09a000)
   libdl.so.2 => /lib/libdl.so.2 (0x00007f917be96000)
   libXext.so.6 => /usr/lib/libXext.so.6 (0x00007f917bc83000)
   libX11.so.6 => /usr/lib/libX11.so.6 (0x00007f917b94d000)
   /lib64/ld-linux-x86-64.so.2 (0x00007f917d254000)
   libxcb.so.1 => /usr/lib/libxcb.so.1 (0x00007f917b730000)
   libXau.so.6 => /usr/lib/libXau.so.6 (0x00007f917b52c000)
   libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0x00007f917b326000)

(Upozornujem na tie 2 polozky "not found" - ak si si nahadzal tie kniznice do /usr/lib, alebo aj do /usr/local/lib, tak tam urcite nebudes mat "not found", ale cestu k dynamickej kniznici.)

Co sa tyka Collatz-u, ATI aplikacia pre Linux sa zacala testovat na jesen 2009 (zde je dukaz misto slibu)... to este 10.04 neexistovalo. Vtedy v ramci testovania som mal docasne nakopirovane tie kniznice v systeme, ale ked sa to odladilo, uz neboli potrebne a tak som ich zase odstranil. Ubuntu 10.04 som instaloval nacisto (presnejsie do inej particie, aby som mal stary system v zalohe keby nieco na novom vybuchlo) a uz som tie kniznice do noveho systemu ani nedaval, lebo nebolo treba. Takze nie ze som "skusil dat tam Collatz po cistej instalacii Ubuntu tak aby fungoval", ja to tak skratka mam a funguje mi to.

A co sa tyka fglrx-kernel-source ktore tam mas, tak tento balik sa pre 10.04 vobec negeneruje. Ked ho tam mas, je to len znak toho, ze si si do systemu nainstaloval balicek urceny pre nejake starsie Ubuntu. V 10.04 je zdrojak kernelovskeho modulu priamo sucastou balika fglrx, kernelovsky modul sa kompiluje a instaluje cez DKMS. A ten balik fglrx-kernel-source aj tak nemas kompletne nainstalovany, to "ic" na zaciatku riadku znamena, ze je oznaceny na instalaciu, ale boli nainstalovane len konfiguracne subory (kompletne nainstalovany balik ma "ii").

Pocas trvania Ubuntu 10.04 si spominam len na jeden naozajstny problem s ATI driverom - totiz prave ta cast kernelovskeho modulu pouzivala nejake hlavicky jadra, ktore boli uz dlho oznacovane ako zavrhnute (existoval novsi sposob ako dane veci robit). Skratka to v AMD neupdatovali a kaslali na to, ze jadro sa vyvija. No a v Ubuntu (myslim, ze to bolo niekedy v auguste alebo septembri 2010) vydali novu verziu jadra, ktora uz mala tie zastarale veci odstranene. Po upgrade (nainstalovalo sa nove jadro) vtedy DKMS spustilo kompilaciu kernelovskeho modulu pre ATI, to sa zosypalo lebo v kernelovskych hlavickach uz neboli veci co driver ocakaval a teda grafika ATI nefungovala. Tak trochu Ubuntu neotestovalo co urobi nova verzia jadra a tak trochu viac AMD kaslalo na priebezne udrziavanie svojho drivera. Podla mna osobne je vacsia vina na AMD a keby Ubuntu bralo na nich ohlad, tak su tam tie zastarale veci asi dodnes... V kazdom pripade ta situacia bola chvilu pre niektorych neprijemna, lebo im to nechodilo a ani nevedeli preco. Pomoc bola sice jednoducha - bootnut do starsej verzie jadra (ktora pri upgrade jadra zostava), kde ten driver fungoval, no ale asi to aj tak dost ludi vtedy nastvalo. Ja som o tom incidente dostal echo vopred, takze som vtedy jadro ani neupdatoval (potom niekedy cez vikend som mal cas, tak som si spravil cvicenie, updatol som jadro a fakt to nechodilo, potom som odinstaloval to najnovsie jadro a zasa to chodilo). V Catalyste 10.10 uz to AMD opravilo (Ubuntu predsa len pouziva dost vela ludi) a od Catalystu 10.10 to ide skompilovat aj s novym jadrom, aj s tym starym.
V tom PG fore, co si nalinkoval, vidim fglrx 8.712 a neuspesnu kompilaciu kernelovskeho modulu v oktobri (chybajuca funkcia "compat_alloc_user_space") a kedze Catalyst 10.10 pise verziu fglrx 8.783, takze islo zjavne o ten isty problem s driverom...

Stream-SDK a PG samotny naozaj neviem... ale ked mas nejako cudne dobastleny driver, tak sa potom nemozes cudovat, ze veci ktore od neho zavisia ti nechodia dobre. A analogicky, ked je nejaka firma schopna pokaslat driver, ze za istych okolnosti nefunguje, tak je ta ista firma schopna pokaslat aj SDK, ze za istych okolnosti nefunguje...
Obrázok
---
Obrázok
"Ostatně, kdybych si měl vybrat pořadí Mac OS X, Windows, Linux, tak to bude: Linux, Mac OS X, sebevražda, Windows." (úryvok z internetovej diskusie)

Užívateľov profilový obrázok
Kiwi
Príspevky: 2056
Dátum registrácie: Ut Feb 13, 2007 5:18 pm
Bydlisko: Sobrance
Kontaktovať užívateľa:

Re: Ubuntu/lucid + Catalyst 10.12 aka 8.801 install

Príspevokod užívateľa Kiwi » Ne Jan 16, 2011 3:18 pm

Je to sice tema aka je, ale jedna sa mi o rozbehanie PG, kde nutne potrebujem Cat 10.10+ a SDK 2.2+
A kedze jednym to ide, inym nie, tak je to cudne, lebo by to malo byt tak, ze vsetkym to nejde alebo ide. :)
Zrejme niektore 1-ky a 0-ly su na urovni 1.41 / 2

Ergo, uzivatel si ma bud sam napisat driver a Open Cl prostredie, ma si zistit, ktore sposoby instalacie
drivera su "spravene" a ktore "nespravne", pricom z hladiska matematiky take nieco nie je mozne,
lebo bud to ide kazdym sposobom, alebo to nejde ziadnym. :)

To ze to niekto nevie napisat a dokazat, nie je moja vec, ja nemam technicku dokumentacia,
aby som na urovni E0 00 00 FF FF, napisal komplet driver.
Podstata objavu spočíva vo videní niečoho, čo videli všetci a v premýšľaní o niečom, na čo nikto nepomyslel.
Tachyum Rado Danilák Rottenkiwi

Užívateľov profilový obrázok
Palo M.
Príspevky: 1190
Dátum registrácie: Po Feb 12, 2007 3:53 am
Bydlisko: Shanghai, China

Re: Ubuntu/lucid + Catalyst 10.12 aka 8.801 install

Príspevokod užívateľa Palo M. » Ne Jan 16, 2011 5:46 pm

Kiwi napísal:Je to sice tema aka je, ale jedna sa mi o rozbehanie PG, kde nutne potrebujem Cat 10.10+ a SDK 2.2+
A kedze jednym to ide, inym nie, tak je to cudne, lebo by to malo byt tak, ze vsetkym to nejde alebo ide. :)
Zrejme niektore 1-ky a 0-ly su na urovni 1.41 / 2

Vies Kiwi, ked dvaja robia to iste, nie je to to iste. Ak to jednemu chodi a inemu zase nechodi, tak problem v drvivej vacsine pripadov nie je v jednotkach a nulach, ale medzi klavesnicou a stolickou.

Administrator linuxoveho systemu si so systemom moze robit co chce a je to tak dobre. Rozhodovanie je na cloveku, dava mu to velke moznosti, ale clovek tie moznosti musi vyuzivat rozumne (ako sa hovori "with great power comes the great responsibility"). Ak ti zodpovednost nevyhovuje, kup si iPad; tam nemas takmer ziadnu zodpovednost - ale zase su tam uplne minimalne moznosti administrovania.
Ak chces mat nove, vychytane, spickove veci, ktore si niekde videl, ale nemienis si nic nastudovat o ich fungovani a chces mat vsetko "na jeden klik", tak si skratka cargokultista.
Obrázok
---
Obrázok
"Ostatně, kdybych si měl vybrat pořadí Mac OS X, Windows, Linux, tak to bude: Linux, Mac OS X, sebevražda, Windows." (úryvok z internetovej diskusie)

Užívateľov profilový obrázok
Kiwi
Príspevky: 2056
Dátum registrácie: Ut Feb 13, 2007 5:18 pm
Bydlisko: Sobrance
Kontaktovať užívateľa:

Re: Ubuntu/lucid + Catalyst 10.12 aka 8.801 install

Príspevokod užívateľa Kiwi » Ne Jan 16, 2011 7:48 pm

Zjavne nechapes co hovoris, lebo ak existuje mnozina zobrazeni, z mnoziny sposobov nainstalovania, do mnoziny vysledkov,
tak musi platit:
1. sposob, A ....> B, vysledok : 111000111
2. sposob, A .....> B, vysledok : 111000111

n. sposob, A ....> B, vysledok: 111000111

lenze my mame pripad,

1. sposob, A ....> B, vysledok : 100011111
2. sposob, A .....> B, vysledok : 000000111

n. sposob, A ....> B, vysledok: 1111111100

Kazdy zo sposobov ide vykonat LEN cez, sudo, nemozem nainstalovat driver inac, nemozem pisat cerva ci trojana na instalaciu driverov,
no nie je moja robota.
Ked to neurobim cez sudo, ZIADNY efekt nebudem mat, nebude vysledok 111000111, nebude ziadny vyslekok.

Ak ukaz mi sposob, ze nepouzijem SUDO a budem mat vysleko 111000111, ergo spravne nainstalovane drivery pre moj os a kernel.
:)

Toto co furt pises, je len obhajovanie hluposti, ktore spachali tvorcovia postupov na instalaciu, lebo tieto postupy nie su deterministicke,
lebo sa vykaslali na testovanie, vyslali sa aj na dokaz spravnosti algoritmu, preto sa to nesprava tak, ako by uzivatel ocakaval. :)
Podstata objavu spočíva vo videní niečoho, čo videli všetci a v premýšľaní o niečom, na čo nikto nepomyslel.
Tachyum Rado Danilák Rottenkiwi

Užívateľov profilový obrázok
Kiwi
Príspevky: 2056
Dátum registrácie: Ut Feb 13, 2007 5:18 pm
Bydlisko: Sobrance
Kontaktovať užívateľa:

Re: Ubuntu/lucid + Catalyst 10.12 aka 8.801 install

Príspevokod užívateľa Kiwi » Ne Jan 16, 2011 8:21 pm

Povedal som do mikrofonu Ubuntu: "Mile ubuntu, kedze nevidim /mozgom/ a neovladom /mozgom/ ruky, prosim ta, nainstaluj najnovsie catalysty,
najnovsi sdk, najnovsi boinc, prihlas sa do primegridu, nastav len GPU aplikacie a vsetko pravidelne obnovuj"
A moje mile ubuntu je take blbe, ze nerozumie tej vete, lebo ho tak blbo urobili.

Tak musim cakat, dokedy sa objavi niekto, kto tej vete rozumie a prepise ju do binarky vykonatelnej pod sudo v ubuntu.

Zial zatial sa niekto taky nenasiel. :)
Podstata objavu spočíva vo videní niečoho, čo videli všetci a v premýšľaní o niečom, na čo nikto nepomyslel.
Tachyum Rado Danilák Rottenkiwi

shafa
Príspevky: 391
Dátum registrácie: So Nov 08, 2008 2:11 am

Re: Ubuntu/lucid + Catalyst 10.12 aka 8.801 install

Príspevokod užívateľa shafa » Ne Jan 16, 2011 9:48 pm

Vymen ATi za nVidii a neres...
Proc se zbytecne trapit a ztracet cas?
If someone asked me to choose between Metallica and Megadeth, I would say SLAYER...

Užívateľov profilový obrázok
gabberattack
Príspevky: 1276
Dátum registrácie: Ut Feb 06, 2007 2:35 am
Bydlisko: Mooresville, NC
Kontaktovať užívateľa:

Re: Ubuntu/lucid + Catalyst 10.12 aka 8.801 install

Príspevokod užívateľa gabberattack » Po Jan 17, 2011 1:24 am

Čo máš Paľo proti iPadu? Veď nato na čo má slúžiť funguje bezchybne. Čakám na verziu 2, ktorú si okamžite objednám. Pozerám na tom Slovenské a České televízie, ktoré inak nie je šanca pozerať v US.
-gabberattack-
Keep The Panic!

...a Windows Vista
padá na Mesiaci
6x pomalšie!

Užívateľov profilový obrázok
Palo M.
Príspevky: 1190
Dátum registrácie: Po Feb 12, 2007 3:53 am
Bydlisko: Shanghai, China

Re: Ubuntu/lucid + Catalyst 10.12 aka 8.801 install

Príspevokod užívateľa Palo M. » Po Jan 17, 2011 5:09 am

gabberattack napísal:Čo máš Paľo proti iPadu?

Dufam, ze si uvedomujes, ze si prave naplnil skutkovu podstatu hanebneho cinu podnecovania k platformovej neznasanlivosti... :mrgreen:

Tak ja tu inemu odporucam iPad a ty sa ma tu pytas, co mam proti iPadu. To ako keby som sa ja teba opytal, co mas proti Ubuntu (ale neopytal by som sa ta to v tomto fore, ale radsej pod tymto clankom)...
Obrázok
---
Obrázok
"Ostatně, kdybych si měl vybrat pořadí Mac OS X, Windows, Linux, tak to bude: Linux, Mac OS X, sebevražda, Windows." (úryvok z internetovej diskusie)

Užívateľov profilový obrázok
gabberattack
Príspevky: 1276
Dátum registrácie: Ut Feb 06, 2007 2:35 am
Bydlisko: Mooresville, NC
Kontaktovať užívateľa:

Re: Ubuntu/lucid + Catalyst 10.12 aka 8.801 install

Príspevokod užívateľa gabberattack » Po Jan 17, 2011 5:35 am

:lol: Skutkova podstata podla zakonov akej krajiny? :lol:

Aby som aj nieco k teme napisal. Ja presadzujem pri Ubuntu masinkach ked funguju system "nesahat, kym sa nieco neposerie". Akurat nastavim automaticky start BOINC a automaticky update systemu a tym to hasne na par rokov ... v poslednom case coraz viac mojich znamych a kolegov ma neprekonatelne nutkanie vysmarit Wirusacky notebook z okna, comu velmi rad zabranujem pomocou Ubuntu, pricom im samozrejme uz nedam adminske heslo, aby si nejakym nechcenym sparanim sa v nastaveniach nerozhasili system (ako jeden expert byvaly spoluziak, ktoremu som to heslo dal a podarilo sa mu odstranit v Kubuntu zakladnu listu, ako aj kompletne cely panel aplikacii a nevedel som prist za toho boha na to, ako to pridat naspat, tak som len resetol uzivatelske nastavenie a zmenil admin heslo - odvtedy som nepocul ziadnu staznost. ;-) :mrgreen:
-gabberattack-
Keep The Panic!

...a Windows Vista
padá na Mesiaci
6x pomalšie!

Užívateľov profilový obrázok
Palo M.
Príspevky: 1190
Dátum registrácie: Po Feb 12, 2007 3:53 am
Bydlisko: Shanghai, China

Re: Ubuntu/lucid + Catalyst 10.12 aka 8.801 install

Príspevokod užívateľa Palo M. » Po Jan 17, 2011 7:20 am

Podla zakonov vacsiny slusnych, slobodnych, zodpovednych a demokratickych for. Neseriozne, diktatorske a darebacke fora nepocitam, tam platia ine "zakony", v ktorych ide len o zakamenovanie moci a nazorov moderatorov fora a vsetko ostatne je podruzne...

A notasky s Windoze mi radsej nepripominaj, s jednym musim zapasit v robote :evil:.
Obrázok
---
Obrázok
"Ostatně, kdybych si měl vybrat pořadí Mac OS X, Windows, Linux, tak to bude: Linux, Mac OS X, sebevražda, Windows." (úryvok z internetovej diskusie)

Užívateľov profilový obrázok
Palo M.
Príspevky: 1190
Dátum registrácie: Po Feb 12, 2007 3:53 am
Bydlisko: Shanghai, China

Re: Ubuntu/lucid + Catalyst 10.12 aka 8.801 install

Príspevokod užívateľa Palo M. » Po Jan 17, 2011 9:40 am

Kiwi napísal:Toto co furt pises, je len obhajovanie hluposti, ktore spachali tvorcovia postupov na instalaciu, lebo tieto postupy nie su deterministicke,
lebo sa vykaslali na testovanie, vyslali sa aj na dokaz spravnosti algoritmu, preto sa to nesprava tak, ako by uzivatel ocakaval. :)

Kiwi napísal:A moje mile ubuntu je take blbe, ze nerozumie tej vete, lebo ho tak blbo urobili.

Tak musim cakat, dokedy sa objavi niekto, kto tej vete rozumie a prepise ju do binarky vykonatelnej pod sudo v ubuntu.

Kiwi, si presne ako ti Melanezania. Aj oni vykonavaju ritualy presne tak, ako to videli u bielych muzov, vtedy ked prilietavali tie stroje z neba a nosili tie uzasne veci. Teda aspon veria tomu, ze tie ritualy su presne tie dobre. Este stale su medzi nimi taki, co to videli na vlastne oci, jedli jedlo ktore prislo z neba, dotykali sa veci z neba. A fakt sa pri tych ritualoch snazia, uplne presne ako si to pamataju z cias bielych muzov. Lenze stroje z neba stale neprilietaju...
Obrázok
---
Obrázok
"Ostatně, kdybych si měl vybrat pořadí Mac OS X, Windows, Linux, tak to bude: Linux, Mac OS X, sebevražda, Windows." (úryvok z internetovej diskusie)

Užívateľov profilový obrázok
slavko.sk
Príspevky: 1603
Dátum registrácie: Po Feb 05, 2007 4:42 pm
Bydlisko: Bratislava, Slovensko
Kontaktovať užívateľa:

Re: Ubuntu/lucid + Catalyst 10.12 aka 8.801 install

Príspevokod užívateľa slavko.sk » Po Jan 17, 2011 12:46 pm

[OT]
Sorry za edit ale snad tym ze som vymazal asi 1000 bodiek ktore robili tento thred necitatelnym som cam nenarusil debatu.
Pls davajte si pozor na moc siroke obrazky alebo 1000 bodiek bo potom je to zgrc.

[/OT]


Návrat na "Technické fórum"

Kto je prítomný

Užívatelia prezerajúci toto fórum: Žiadny pripojení užívatelia a 1 neregistrovaný